Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 164475 - error stripes are enabled at editing templates on NB6.7 but not on NB6.5.1
error stripes are enabled at editing templates on NB6.7 but not on NB6.5.1
Status: VERIFIED FIXED
Product: java
Classification: Unclassified
Component: Source
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Dusan Balek
issues@java
JA_COMMUNITY
:
Depends on:
Blocks: 121950
  Show dependency treegraph
 
Reported: 2009-05-05 12:55 UTC by Masaki Katakai
Modified: 2009-05-14 06:10 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
screenshot diffs between 6.5.1 and 6.7 (92.21 KB, image/png)
2009-05-05 12:56 UTC, Masaki Katakai
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Masaki Katakai 2009-05-05 12:55:28 UTC
Product Version: NetBeans IDE Dev (Build 200905050201)
Java: 1.6.0_07; Java HotSpot(TM) 64-Bit Server VM 1.6.0_07-b06-57
System: Mac OS X version 10.5.6 running on x86_64; SJIS; en (nb)

When I edit a template on NetBeans 6.7, there are many error stripes on editor.

The following warnings are displayed from NetBeans 6.7 when
I edited "Java Class" template.

WARNING [org.netbeans.modules.java.source.parsing.JavacParser]: ClassPath identity changed for
MultiFileObject@319797f6[Templates/Classes/Class.java], class path owner: null
WARNING [org.netbeans.modules.java.source.parsing.JavacParser]: ClassPath identity changed for
MultiFileObject@319797f6[Templates/Classes/Class.java], class path owner: null
WARNING [org.netbeans.modules.java.source.parsing.JavacParser]: ClassPath identity changed for
MultiFileObject@319797f6[Templates/Classes/Class.java], class path owner: null

I think it's true but I didn't see these errors when I edit the template on 6.5.1.
Is this correct behavior or not? I got this question from local community member.
Comment 1 Masaki Katakai 2009-05-05 12:56:47 UTC
Created attachment 81535 [details]
screenshot diffs between 6.5.1 and 6.7
Comment 2 Vitezslav Stejskal 2009-05-05 20:26:54 UTC
Probably related to changes in java indexing. Dusane any idea?
Comment 3 Vitezslav Stejskal 2009-05-05 20:31:29 UTC
Reproducible in Dev build 090504. I might have been wrong in my previous comment. CCing jpokorsky who might know of
there was anything special done for template files, which are in fact a mixture of templating language (freemaker?) and
java code.
Comment 4 Dusan Balek 2009-05-06 09:49:25 UTC
Fixed in jet-main.

http://hg.netbeans.org/jet-main/rev/15ad521e35b4
Comment 5 Quality Engineering 2009-05-07 07:54:29 UTC
Integrated into 'main-golden', will be available in build *200905070201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/15ad521e35b4
User: Dusan Balek <dbalek@netbeans.org>
Log: Issue #164475: error stripes are enabled at editing templates on NB6.7 but not on NB6.5.1 - fixed.
Comment 6 Masaki Katakai 2009-05-14 06:04:55 UTC
Thank you Dusan,

I've verified on 200905130201.
Comment 7 Masaki Katakai 2009-05-14 06:10:49 UTC
verified.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo